Skip to main content
GET
/
api
/
v1
/
stories
/
{id}
Get story
curl --request GET \
  --url https://api.example.com/api/v1/stories/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "summary": "<string>",
  "status": "<string>",
  "node": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "workflow": "<string>",
  "reference": "<string>",
  "location": "<string>",
  "category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "treatment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "estimated_duration": "<string>",
  "metadata": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Story.

Response

200 - application/json

Detailed story serializer with all relationships

id
string<uuid>
required
read-only
title
string
required

The title of the story

Maximum string length: 255
summary
string
required

The summary of the story

status
string
required
read-only

Human-readable workflow status (cached from workflow engine)

node
string | null
required
read-only

Current workflow node reference number (cached for performance)

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
workflow
string
required
read-only
reference
string | null

Generated reference string

Maximum string length: 30
location
string | null

The location of the story (city, region, etc)

Maximum string length: 255
category
string<uuid> | null

The category of the story

treatment
string<uuid> | null

The treatment of the story

estimated_duration
string | null

Estimated duration for story completion

urgency_level
enum<string> | null

Story priority level

  • low - Low
  • medium - Medium
  • high - High
  • urgent - Urgent
Available options:
low,
medium,
high,
urgent,
,
null
metadata
any

Additional flexible metadata for custom fields